Zum Inhalt springen
AchaduDevelopers
Developers/API/offer_create
Angebote

Angebot erstellen

Erstellt ein ausstehendes Angebot, ohne es zu veröffentlichen.

POST/offersoffers:write

Anfrage

urlstring · bodyUrsprüngliche HTTPS-URL für das Produkt.obligatorisch
titlestring · bodyÖffentlicher Titel des Angebots.obligatorisch
marketplacestring · bodyQuellmarktplatz.optional
pricenumber · bodyAktueller Preis.optional
original_pricenumber · bodyVorheriger Preis.optional
currencystring · bodyISO 4217-Währung.optional
imagestring · bodyHTTPS-URL des Bildes.optional
storestring · bodyShopname.optional
categorystring · bodyKategorie.optional
couponstring · bodyGutscheincode.optional
copystring · bodyRedaktioneller Text des Angebots.optional
statusstring · bodyKuratierter Status.optional

Beispiel

curl
curl -X POST 'https://achadu.com/api/v1/offers' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string",
  "price": 329.9,
  "original_price": 329.9
}'

Antwort

201Ressource erstellt
4xxFehler mit Code, Nachricht und request_id